Bug 19434 - speed up SunSpider by avoiding some string boxing
Summary: speed up SunSpider by avoiding some string boxing
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: JavaScriptCore (show other bugs)
Version: 528+ (Nightly build)
Hardware: Macintosh OS X 10.5
: P2 Normal
Assignee: Darin Adler
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-06-08 09:30 PDT by Darin Adler
Modified: 2008-06-12 21:55 PDT (History)
0 users

See Also:


Attachments
patch (48.85 KB, patch)
2008-06-08 09:31 PDT, Darin Adler
no flags Details | Formatted Diff | Diff
patch for part 1 (breaking up as per Maciej's request) (16.94 KB, patch)
2008-06-11 14:47 PDT, Darin Adler
no flags Details | Formatted Diff | Diff
patch (23.04 KB, patch)
2008-06-11 15:13 PDT, Darin Adler
no flags Details | Formatted Diff | Diff
patch (23.16 KB, patch)
2008-06-11 15:22 PDT, Darin Adler
mjs: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Darin Adler 2008-06-08 09:30:42 PDT
I have some speedups for SunSpider that total a bit over 1%.
Comment 1 Darin Adler 2008-06-08 09:31:03 PDT
Created attachment 21573 [details]
patch
Comment 2 Maciej Stachowiak 2008-06-11 12:53:01 PDT
Any chance of breaking this up into the logically separate changes?
Comment 3 Darin Adler 2008-06-11 12:55:47 PDT
Sure, I'll do that now.
Comment 4 Darin Adler 2008-06-11 14:47:08 PDT
Created attachment 21645 [details]
patch for part 1 (breaking up as per Maciej's request)
Comment 5 Maciej Stachowiak 2008-06-11 15:02:16 PDT
Comment on attachment 21645 [details]
patch for part 1 (breaking up as per Maciej's request)

r=me
Comment 6 Darin Adler 2008-06-11 15:02:47 PDT
Comment on attachment 21645 [details]
patch for part 1 (breaking up as per Maciej's request)

Landed this as r34499.
Comment 7 Darin Adler 2008-06-11 15:13:13 PDT
Created attachment 21646 [details]
patch
Comment 8 Darin Adler 2008-06-11 15:22:44 PDT
Created attachment 21648 [details]
patch
Comment 9 Maciej Stachowiak 2008-06-12 11:42:45 PDT
Comment on attachment 21648 [details]
patch

r=me

It would be great to avoid the boxing for methods too, as discussed previously.
Comment 10 Darin Adler 2008-06-12 21:55:18 PDT
Committed revision 34518.